org.eclipse.ease.ui.launching

## Class EaseLaunchDelegate

- java.lang.Object
- - org.eclipse.ease.ui.tools.AbstractLaunchDelegate
  - - org.eclipse.ease.ui.launching.EaseLaunchDelegate

All Implemented Interfaces:
  ILaunchConfigurationDelegate, ILaunchShortcut, ILaunchShortcut2

    public class EaseLaunchDelegate
    extends AbstractLaunchDelegate

Quick launcher for EASE script files.

### Constructor Summary

Constructors
Constructor and Description
`EaseLaunchDelegate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `launch(ILaunchConfiguration configuration, String mode, ILaunch launch, IProgressMonitor monitor)`

### Methods inherited from class org.eclipse.ease.ui.tools.AbstractLaunchDelegate

`getLaunchableResource, getLaunchableResource, getLaunchConfigurations, getLaunchConfigurations, launch, launch`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EaseLaunchDelegate

    public EaseLaunchDelegate()

### Method Detail

#### launch

    public void launch(ILaunchConfiguration configuration,
                       String mode,
                       ILaunch launch,
                       IProgressMonitor monitor)
                throws CoreException

Throws:
  `CoreException`